Organization roles
GET
/organizations/{organizationId}/iam-roles
List the IAM roles that are defined for this organization.
Paramètres de requête
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Corps de la réponse
results
array of object
obligatoire
List of roles.
Afficher les attributs enfants
results.accessKeysDependencyCount
integer
obligatoire
The number of access keys this role is assigned to.
results.actions
array of object
Actions this role contains.
Afficher les attributs enfants
results.actions.name
string
obligatoire
The name of the action.
results.actions.type
string
obligatoire
The type that the action belongs to.
results.createdAt
string
obligatoire
When this role was created.
results.description
string
Role description.
results.id
string
obligatoire
ID of the role.
results.metadata
object
Metadata for the IAM Role.
Afficher les attributs enfants
results.metadata.clouds
array of string
results.name
string
obligatoire
Role name.
results.organizationId
string
ID of the organization to which this role belongs.
results.policies
array of object
obligatoire
IAM Policies this role contains.
Afficher les attributs enfants
The IAM policy record.
results.policies.createdAt
string
obligatoire
When the IAM Policy was created.
results.policies.definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les attributs enfants
results.policies.definitions.actions
array of string
obligatoire
A list of actions
results.policies.definitions.conditionsAll
array of object
Afficher les attributs enfants
results.policies.definitions.conditionsAll.any
object
results.policies.definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.policies.definitions.resources
array of string
obligatoire
A list of resources
results.policies.description
string
IAM Policy description.
results.policies.id
string
obligatoire
ID of the IAM Policy.
results.policies.metadata
object
Metadata for the IAM Policy.
Afficher les attributs enfants
results.policies.metadata.apps
array of string
results.policies.metadata.clouds
array of string
results.policies.metadata.groups
array of string
results.policies.name
string
obligatoire
IAM Policy name.
results.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.policies.scope
string
obligatoire
The scope to which this policy applies.
Possible values: organization, root
results.policies.updatedAt
string
obligatoire
When the IAM Policy was last updated.
results.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
results.policies.id
string
obligatoire
ID of the IAM Policy.
results.policies.type
string
obligatoire
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
results.type
string
obligatoire
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
results.updatedAt
string
obligatoire
When this role was last updated.
results.usersDependencyCount
integer
obligatoire
The number of users this role is assigned to.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/organizations/{organizationId}/iam-roles
Create a new IAM role for this organization.
Corps de la requête
name
string
obligatoire
Role name.
description
string
Role description.
policies
array of object
obligatoire
IAM Policies this role contains.
Afficher les paramètres enfants
policies.id
string
obligatoire
ID of the IAM Policy.
policies.type
string
obligatoire
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
Corps de la réponse
accessKeysDependencyCount
integer
obligatoire
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Afficher les attributs enfants
actions.name
string
obligatoire
The name of the action.
actions.type
string
obligatoire
The type that the action belongs to.
createdAt
string
obligatoire
When this role was created.
description
string
Role description.
id
string
obligatoire
ID of the role.
metadata
object
Metadata for the IAM Role.
Afficher les attributs enfants
metadata.clouds
array of string
name
string
obligatoire
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
obligatoire
IAM Policies this role contains.
Afficher les attributs enfants
The IAM policy record.
policies.createdAt
string
obligatoire
When the IAM Policy was created.
policies.definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les attributs enfants
policies.definitions.actions
array of string
obligatoire
A list of actions
policies.definitions.conditionsAll
array of object
Afficher les attributs enfants
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
obligatoire
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
obligatoire
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Afficher les attributs enfants
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
obligatoire
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
obligatoire
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
obligatoire
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
obligatoire
ID of the IAM Policy.
policies.type
string
obligatoire
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
obligatoire
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
obligatoire
When this role was last updated.
usersDependencyCount
integer
obligatoire
The number of users this role is assigned to.
Exemple de code
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}/iam-roles/{roleId}
Retrieve a single IAM role.
Corps de la réponse
accessKeysDependencyCount
integer
obligatoire
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Afficher les attributs enfants
actions.name
string
obligatoire
The name of the action.
actions.type
string
obligatoire
The type that the action belongs to.
createdAt
string
obligatoire
When this role was created.
description
string
Role description.
id
string
obligatoire
ID of the role.
metadata
object
Metadata for the IAM Role.
Afficher les attributs enfants
metadata.clouds
array of string
name
string
obligatoire
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
obligatoire
IAM Policies this role contains.
Afficher les attributs enfants
The IAM policy record.
policies.createdAt
string
obligatoire
When the IAM Policy was created.
policies.definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les attributs enfants
policies.definitions.actions
array of string
obligatoire
A list of actions
policies.definitions.conditionsAll
array of object
Afficher les attributs enfants
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
obligatoire
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
obligatoire
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Afficher les attributs enfants
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
obligatoire
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
obligatoire
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
obligatoire
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
obligatoire
ID of the IAM Policy.
policies.type
string
obligatoire
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
obligatoire
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
obligatoire
When this role was last updated.
usersDependencyCount
integer
obligatoire
The number of users this role is assigned to.
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/organizations/{organizationId}/iam-roles/{roleId}
Remove an IAM role from the organization.
Exemple de code
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}/iam-roles/{roleId}
Update an IAM role's properties.
Corps de la requête
name
string
Role name.
description
string
Role description.
policies
array of object
IAM Policies this role contains.
Afficher les paramètres enfants
policies.id
string
obligatoire
ID of the IAM Policy.
policies.type
string
obligatoire
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
actions
array of object
Actions this role contains.
Afficher les paramètres enfants
actions.name
string
obligatoire
The name of the action.
actions.type
string
obligatoire
The type that the action belongs to.
Corps de la réponse
accessKeysDependencyCount
integer
obligatoire
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Afficher les attributs enfants
actions.name
string
obligatoire
The name of the action.
actions.type
string
obligatoire
The type that the action belongs to.
createdAt
string
obligatoire
When this role was created.
description
string
Role description.
id
string
obligatoire
ID of the role.
metadata
object
Metadata for the IAM Role.
Afficher les attributs enfants
metadata.clouds
array of string
name
string
obligatoire
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
obligatoire
IAM Policies this role contains.
Afficher les attributs enfants
The IAM policy record.
policies.createdAt
string
obligatoire
When the IAM Policy was created.
policies.definitions
array of object
obligatoire
List of IAM Policy definitions.
Afficher les attributs enfants
policies.definitions.actions
array of string
obligatoire
A list of actions
policies.definitions.conditionsAll
array of object
Afficher les attributs enfants
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
obligatoire
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
obligatoire
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
obligatoire
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Afficher les attributs enfants
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
obligatoire
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
obligatoire
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
obligatoire
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
policies.id
string
obligatoire
ID of the IAM Policy.
policies.type
string
obligatoire
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
type
string
obligatoire
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
obligatoire
When this role was last updated.
usersDependencyCount
integer
obligatoire
The number of users this role is assigned to.
Exemple de code
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'